'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _path, _path2, _path3, _g;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgCreditCardFront = function SvgCreditCardFront(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 70 48",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _path || (_path = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#fff",
    d: "M0 8a8 8 0 0 1 8-8h54a8 8 0 0 1 8 8v32a8 8 0 0 1-8 8H8a8 8 0 0 1-8-8z"
  })), _path2 || (_path2 = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#465967",
    fillRule: "evenodd",
    d: "M62 1H8a7 7 0 0 0-7 7v32a7 7 0 0 0 7 7h54a7 7 0 0 0 7-7V8a7 7 0 0 0-7-7M8 0a8 8 0 0 0-8 8v32a8 8 0 0 0 8 8h54a8 8 0 0 0 8-8V8a8 8 0 0 0-8-8z",
    clipRule: "evenodd"
  })), /*#__PURE__*/React__namespace.createElement("mask", {
    id: "CreditCardFront_svg__a",
    width: 68,
    height: 46,
    x: 1,
    y: 1,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "alpha"
    }
  }, _path3 || (_path3 = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#D9D9D9",
    d: "M1 8a7 7 0 0 1 7-7h54a7 7 0 0 1 7 7v32a7 7 0 0 1-7 7H8a7 7 0 0 1-7-7z"
  }))), _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    mask: "url(#CreditCardFront_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#fff",
    d: "M1 5.929A4.93 4.93 0 0 1 5.929 1H65.07A4.93 4.93 0 0 1 70 5.929V42.07A4.93 4.93 0 0 1 65.071 47H5.93A4.93 4.93 0 0 1 1 42.071z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#465967",
    d: "M7 35a2 2 0 0 1 2-2h8.5a2 2 0 0 1 2 2v1a2 2 0 0 1-2 2H9a2 2 0 0 1-2-2zM21.5 35a2 2 0 0 1 2-2H32a2 2 0 0 1 2 2v1a2 2 0 0 1-2 2h-8.5a2 2 0 0 1-2-2zM36 35a2 2 0 0 1 2-2h8.5a2 2 0 0 1 2 2v1a2 2 0 0 1-2 2H38a2 2 0 0 1-2-2zM50.5 35a2 2 0 0 1 2-2H61a2 2 0 0 1 2 2v1a2 2 0 0 1-2 2h-8.5a2 2 0 0 1-2-2z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#C3CDD5",
    d: "M49 14a2 2 0 0 1 2-2h10a2 2 0 0 1 2 2v8a2 2 0 0 1-2 2H51a2 2 0 0 1-2-2z"
  }))));
};

exports.ReactComponent = SvgCreditCardFront;
